Package: groovy.transform.stc

## [Java] Class SecondParam.ThirdGenericType

- groovy.transform.stc.SecondParam.ThirdGenericType

-     public static class SecondParam.ThirdGenericType
      extends PickAnyArgumentHint

  A hint used to instruct the type checker to pick the second generic type of the second parameter type. For example:

  `void <T,U,V> doWithElements(String base, Triple<T,U,V> src, @ClosureParams(SecondParam.ThirdGenericType.class) Closure c) { ... }`
  Since:
    2.3.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ThirdGenericType()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PickAnyArgumentHint` | `getParameterTypes`
    `class SingleSignatureClosureHint` | `getClosureSignatures, getParameterTypes`
    `class ClosureSignatureHint` | `findClassNode, getClosureSignatures, pickGenericType, pickGenericType`

- - ### Constructor Detail

    - #### public ThirdGenericType()